%define upstream_name	 Gtk2
%define	upstream_version 1.242

%define _default_patch_fuzz        2
%define Werror_cflags %nil

%define perl_glib_require 1.233
%define gtk_require 2.24.10
%define cairo_require 1.00
%define pango_require 1.220

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl module for the gtk+-2.x library
License:    GPL or Artistic
Group:      Development/GNOME and GTK+
Url:        http://gtk2-perl.sf.net/
Source0:    http://prdownloads.sourceforge.net/gtk2-perl/%{upstream_name}-%{upstream_version}.tar.gz
Patch7:     Gtk2-gtk_exit.patch
Patch21:    Gtk2-1.038-xset_input_focus.patch
Patch23:    Gtk2-1.023-exception-trapping.patch 
Patch24:    relocations-2.patch
Patch25:    relocations-fixes.patch

BuildRequires: perl(Cairo) >= 1.0.0
BuildRequires: perl(ExtUtils::Depends) >= 0.300.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.30.0
BuildRequires: perl(Glib) >= 1.240.0
BuildRequires: perl(Pango) >= 1.220.0
BuildRequires: gtk+2-devel >= %gtk_require
BuildRequires: perl-devel
BuildRequires: perl-ExtUtils-Depends >= 0.300
BuildRequires: perl-ExtUtils-PkgConfig >= 1.03
BuildRequires: perl-Glib >= %perl_glib_require
BuildRequires: perl-Cairo >= %cairo_require
BuildRequires: perl-Pango >= %pango_require
# for test suite:
BuildRequires: fontconfig
BuildRequires: fonts-ttf-dejavu
BuildRequires: x11-server-xvfb
Requires:   gtk+2
Requires:   libgtk+2 => %gtk_require
Requires:   perl-Glib >= %perl_glib_require
#	(misc) needed by /usr/lib/perl5/vendor_perl/5.8.7/i386-linux/Gtk2/Install/Files.pm
Requires:   perl-Cairo >= %cairo_require
Requires:   perl-Pango >= %pango_require
# required to avoid warnings when loading
Suggests:   canberra-gtk
#	Compatibility with mdk <= 9.2:
Conflicts:	drakconf <= 9.3-21mdk
Conflicts:	drakxtools-newt <= 9.3-14mdk
Conflicts:	rpmdrake <= 2.1-24mdk
Conflicts:	userdrake <= 0.92-4mdk
Conflicts:	drakfirsttime <= 0.91-14mdk
Provides:   perl-GTK2 = %{version}-%{release}
Obsoletes:  perl-GTK2 < 0.1
# (tv) libegg's code for status icon was merged in gtk+2.9.x:
Provides:   perl-Gtk2-StatusIcon = %{version}-%{release}
Obsoletes:  perl-Gtk2-StatusIcon <= 0.010

%description
This module provides perl access to the gtk+-2.x library.

Gtk+ is the GIMP ToolKit (GTK+), a library for creating graphical user
interfaces for the X Window System.  GTK+ was originally written for the GIMP
(GNU Image Manipulation Program) image processing program, but is now used by
several other programs as well.

%package doc
Summary:    Gtk2 documentation
Group:      Books/Computer books
BuildArch:  noarch

%description doc
This package contains documentation of the Gtk2 module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch7 -p0
%patch21 -p0 -b .tv
%patch23 -p0 -b .except
#%patch24 -p0 -b .reloc
#%patch25 -p0 -b .relocfix
perl Makefile.PL INSTALLDIRS=vendor
chmod 755 gtk-demo/*.pl examples/*.pl

%build
%make OPTIMIZE="%{optflags}"

%check
#xvfb-run %make test

%install
%makeinstall_std

%files
%defattr(-, root, root)
%doc AUTHORS LICENSE META.yml NEWS README TODO examples
%dir %{perl_vendorarch}/%{upstream_name}
%{perl_vendorarch}/%{upstream_name}.pm
%{perl_vendorarch}/%{upstream_name}/*.pm
%{perl_vendorarch}/%{upstream_name}/*/*.pm
%{perl_vendorarch}/%{upstream_name}/Install
%{perl_vendorarch}/auto/*

%files doc
%defattr(-, root, root)
%doc gtk-demo examples
%{_mandir}/*/*
%dir %{perl_vendorarch}/%{upstream_name}
%{perl_vendorarch}/%{upstream_name}/*.pod
%{perl_vendorarch}/%{upstream_name}/*/*.pod
%{perl_vendorarch}/%{upstream_name}/*/*/*.pod


%changelog

* Mon Mar 26 2012 tv <tv> 1.242.0-2.mga2
+ Revision: 226819
- bump required version so that live upgrade works smoothly after priorty
  upgrade of perl, perl-Gtk2 for rpmdrake or gurpmi (mga#5066)

* Mon Jan 23 2012 tv <tv> 1.242.0-1.mga2
+ Revision: 200381
- new release

* Mon Nov 21 2011 tv <tv> 1.241.0-1.mga2
+ Revision: 170187
- adjust file list
- new release

* Fri Oct 14 2011 jquelin <jquelin> 1.240.0-1.mga2
+ Revision: 155067
- update to 1.240

* Mon Oct 03 2011 tv <tv> 1.232.0-1.mga2
+ Revision: 151274
- bump Glib require
- new release
- drop patch 0 (merged)
- new release

  + fwang <fwang>
    - rebuild

* Sun Jun 12 2011 sander85 <sander85> 1.230.0-6.mga2
+ Revision: 104353
- Rebuild for perl 5.14

* Thu May 26 2011 ennael <ennael> 1.230.0-5.mga1
+ Revision: 100524
- fix glib2 version for require (#1432)

* Wed Mar 23 2011 blino <blino> 1.230.0-4.mga1
+ Revision: 75768
- fix #30: cope with the rename of the keysym defines in gtk+ 2.22 (from upstream git, stable branch)

* Sun Jan 23 2011 jquelin <jquelin> 1.230.0-3.mga1
+ Revision: 33796
- mageia rebuild
- imported package perl-Gtk2

